For the complete documentation index, see llms.txt. This page is also available as Markdown.

Colorize image with reference image

Generate Colorization With Reference Image

post
Body
imagestring · binaryRequired
image_refstring · binaryRequired
resolutionstringOptionalDefault: watermarked-sd
auto_colorstringOptionalDefault: true
white_balancestringOptionalDefault: false
temperaturestringOptionalDefault: -0.1
saturationstringOptionalDefault: 1.1
Responses
200

Successful Response

application/json
contentstring · binaryRequired
media_typestringRequired
post/colorize_image_with_reference_image
POST /colorize_image_with_reference_image HTTP/1.1
Content-Type: multipart/form-data
Accept: */*
Content-Length: 153

{
  "image": "binary",
  "image_ref": "binary",
  "resolution": "watermarked-sd",
  "auto_color": "true",
  "white_balance": "false",
  "temperature": "-0.1",
  "saturation": "1.1"
}
{
  "content": "binary",
  "media_type": "text"
}

Last updated